### Method

# Soup WebsocketConnection send_text

#### Declaration [src]

    void
    soup_websocket_connection_send_text (
      SoupWebsocketConnection* self,
      const char* text
    )

#### Description [src]

Send a `NULL`-terminated text (UTF-8) message to the peer.

If you need to send text messages containing `NULL` characters use `soup_websocket_connection_send_message()` instead.

The message is queued to be sent and will be sent when the main loop is run.

#### Parameters

`text`

  Type: `const char*`

  The message contents.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.